GET 客户联系人列表
GET 列表查询。
| 接口编码 | 所需范围 | 后端接口 |
|---|---|---|
sales.customer.contact.list | sales:read | GET /v1/customer/contact/list(comap-sales) |
请求参数(query)
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
customerId | integer(int64) | 是 | 客户 ID |
「必填」仅反映接口规格声明的部分。服务内还有未体现在规格里的校验, 标「—」不等于可以不传;租户在主站配置的字段必填不约束本接口。 详见必填字段的判定与字段清单与自定义字段。
请求示例
curl -X POST https://open.risemap.cn/v1/api/invoke \
-H "Authorization: Bearer <访问令牌>" \
-H "Content-Type: application/json" \
-d '{
"apiCode": "sales.customer.contact.list",
"query": {
"customerId": "1961000000000000001"
}
}'
响应 data 字段
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
id | integer(int64) | — | ID |
customerId | integer(int64) | — | 客户ID |
name | string | — | 联系人姓名 |
gender | integer(int32) | — | 性别:1-男,2-女,空-未填写 |
position | string | — | 职位 |
deptName | string | — | 部门名称 |
phone | string | — | 手机号码 |
telephone | string | — | 座机号码 |
email | string | — | 邮箱 |
wechat | string | — | 微信号 |
employmentStatus | string | — | 任职状态:ACTIVE/MOVED/RESIGNED/RETIRED/DISABLED |
currentCompanyId | integer(int64) | — | 当前任职公司 ID |
currentCompanyName | string | — | 当前任职公司名称 |
currentPosition | string | — | 当前职位 |
ownerId | integer(int64) | — | 联系人维护人ID |
ownerName | string | — | 联系人维护人名称 |
contactMethods7 | CustomerContactMethodVO[] | — | 多联系方式 |
weightId | integer(int64) | — | 决策权重ID |
weightName | string | — | 决策权重名称 |
weightColor | string | — | 决策权重颜色 |
isPrimary | integer(int32) | — | 是否主要联系人(0-否 1-是) |
remark | string | — | 备注 |
customFieldValues | object | — | 联系人自定义字段值 |
错误处理
响应统一信封 { code, message, data },code == 200 为成功。以下是本接口可能返回的开放平台层错误:
| 错误码 | 说明 | 可重试 |
|---|---|---|
| 92101 | 访问凭证无效 | 否 |
| 92201 | 接口未登记或已停用 | 否 |
| 92202 | 超出凭证授权范围——本接口需 sales:read | 否 |
| 92204 | 绑定员工无此接口的功能权限 | 否 |
| 92203 | 上游服务调用失败 | 是 |
| 92301 | 请求过于频繁 | 是 |
除此之外,comap-sales 自身的业务校验失败会原样透传其业务码与提示
(如字段校验、状态不允许、数据不存在),这类码不在开放平台的号段内,
以响应里的 message 为准。完整的平台层错误码见错误码说明。
← 返回客户联系人管理